package org.yaoqiang.bpmn.model.elements.core.common;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * CorrelationKeys
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class CorrelationKeys extends XMLCollection {

	private static final long serialVersionUID = 8703415723006823623L;

	public CorrelationKeys(XMLElement parent) {
		super(parent);
	}
	
	public XMLElement generateNewElement() {
		return new CorrelationKey(this);
	}

	public String getElementName() {
		return "correlationKey";
	}
	
}
