package org.yaoqiang.collaboration;

import java.awt.Component;

import javax.swing.ImageIcon;
import javax.swing.JTree;
import javax.swing.tree.DefaultTreeCellRenderer;

/**
 * ContactTreeCellRenderer
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ContactTreeCellRenderer extends DefaultTreeCellRenderer {

	private static final long serialVersionUID = 8173012595716381946L;

	public Component getTreeCellRendererComponent(JTree tree, Object value, boolean sel, boolean expanded, boolean leaf, int row, boolean hasFocus) {

		super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf, row, hasFocus);
		setIcon(new ImageIcon(ContactTreeCellRenderer.class.getResource("/org/yaoqiang/collaboration/images/contact_green.png")));
		
		return this;
	}

}
