package org.yaoqiang.collaboration.dialog;

import javax.swing.BoxLayout;

import org.jivesoftware.smack.packet.Presence;
import org.yaoqiang.collaboration.MainPanel;
import org.yaoqiang.collaboration.TextPanel;
import org.yaoqiang.dialog.PanelContainer;

import com.mxgraph.util.mxResources;

/**
 * AddContactPanel
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class AddContactPanel extends CollaborationPanel {

	private static final long serialVersionUID = -2288276495714600611L;

	protected TextPanel jidPanel;

	public AddContactPanel(PanelContainer pc) {
		super(pc, null);
		this.setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));

		jidPanel = new TextPanel(mxResources.get("jabberId"), 200, 27);
		add(jidPanel);

	}

	public void saveObjects() {
		if (jidPanel.getText().trim().length() > 0 && jidPanel.getText().trim().lastIndexOf("@") > 0) {
			Presence presencePacket = new Presence(Presence.Type.subscribe);
			presencePacket.setTo(jidPanel.getText().trim());
			MainPanel.getConnection().sendPacket(presencePacket);
		}
	}

}
